Subject: Re: Help needed with porting ether-net driver from ADS5121 to TWR-MPC5125

From: Anatolij Gustschin <[email-masked]>
Date: Mon, 19 Dec 2011 09:08:27 +0100

Hi,

On Fri, 16 Dec 2011 08:38:58 +0800
G.H.Lee <[email-masked]> wrote:
...
> I am a new user of the board TWR-MPC5125 made by freescale. Now I am trying to porting the new kernel, i.e. the version 3.0.4, to this board. I have porting the serial driver and the nand flash driver successfully. And I can also mount the root file system. But I can not use the ether-net interface now. I have tried to port the ether-net driver based on the ether-net driver for ADS 5121, which is provided by the new kernel 3.0.4. The only thing I have to do in the porting is that I should change the MII mode in ADS5121 board to RMII mode in my board. And I find that I can send packages out if I use the "ping" command. But I can not receive any package for responding. And I also found that the interrupt routine for sending packages was running but the interrupt routine for receiving message was not called by the kernel. I don't know why. 
> 
> Can anyone help me? Should I change some other codes beyond the ether-net driver? Someone told me that I should regulate the kernel because of the differences among the different kerenl versions if the MAC was integrated inside the SOC, which was the fatto in my board. But I don't know how to regulate.

Please try following patch for fs_enet driver:
http://patchwork.ozlabs.org/patch/87320/

There are also other patches for TWR-MPC5125 support:
http://patchwork.ozlabs.org/patch/87925/
http://patchwork.ozlabs.org/patch/87926/
http://patchwork.ozlabs.org/patch/87321/

Thanks,
Anatolij